CC        = g++
CFLAGS    = -O2 -fPIC -Wall -m64
CFLAGS   += -DICARCH_LINUX64
CFLAGS   += -I../../Include-SDK
LDFLAGS   = -Wl,-s,-lpthread,-lrt
LIBS      = ../../_Linux64-Bin/libPeerSDK.so

PROGS = libPeerSDK

all:
	$(CC) $(CFLAGS) $(LDFLAGS) -o Backup Backup.cpp $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o ConnectInformationEvents ConnectInformationEvents.cpp $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o LiveView LiveView.cpp $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o Playback Playback.cpp $(LIBS)

clean:
	rm -f *.o
	rm -f Backup
	rm -f ConnectInformationEvents
	rm -f LiveView
	rm -f Playback
